package de.stefandraegersoftware.clipboardobserver;

/**
 * Interface IObservable
 * Wird bentigt um Klassen in den {@link ClipboardObserver} aufzunehmen.
 * Enthlt die Methoden welche vom {@link ClipboardObserver} aufgerufen werden.
 * @author Stefan Draeger Software
 *
 */
public interface IObservable {

	/**
	 * Action Methode
	 * wird vom {@link ClipboardObserver} aufgerufen wenn in der Zwischenablage ein Inhalt vom Typ {@link EClipboardDataFlavor} enthalten ist.
	 * @param clipboardDataFlavour - der Typ des Inhalts der Zwischenablage gewrappt als {@link EClipboardDataFlavor}
	 * @param data - der Inhalt der Zwischenablage
	 */
	void doAction(EClipboardDataFlavor clipboardDataFlavour, Object data);
}
